Skip to content

GET Stomp

This will get stompjes from the database.

Location

/api/v1/office/stompjes/

Permissions required

office-stompjes RO

Body parameters

Parameter Type Required Description
builder[0][where][0] string no
builder[0][where][1] string no

Example Body (json)

None.

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/office/stompjes/' . '?builder[0][where][0]=user_uuid&builder[0][where][1]=5219edbb-512d-11f1-8bac-bc2411125ba4',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

[
   {
      "stomp_uuid":"16b148da-5c76-11f1-8eb6-bc2411125ba4",
      "user_uuid":"5219edbb-512d-11f1-8bac-bc2411125ba4",
      "stomp_timestamp":1780179768,
      "stomp_reason":null
   },
   {
      "stomp_uuid":"ea5b47d6-5c75-11f1-8eb6-bc2411125ba4",
      "user_uuid":"5219edbb-512d-11f1-8bac-bc2411125ba4",
      "stomp_timestamp":1780179693,
      "stomp_reason":null
   }
]

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.